Skip to main content
PATCH
Update an Agent inbox item

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

agentId
string
required
agentInboxItemId
string
required

Body

application/json
type
string

Logical task type such as task, incident, sync, or concierge_message.

Maximum string length: 128
Example:

"sync"

instruction
string

Instruction that will be passed into the agent run when the item is claimed.

Minimum string length: 1
Example:

"Re-run the customer usage sync for workspace EU-1."

payload
object

Opaque task payload persisted with the inbox item and copied into the run state.

Example:
priority
number

Queue priority. Higher values are claimed first.

Required range: 0 <= x <= 1000
Example:

500

availableAt
string

Optional ISO timestamp after which the inbox item becomes claimable.

Example:

"2026-04-12T12:15:00.000Z"

dedupeKey
string

Optional de-duplication key unique per agent among non-terminal inbox items.

Maximum string length: 255
Example:

"sync:workspace:eu-1"

Response

200 - undefined
Last modified on September 5, 2026